@echo on
@setlocal enabledelayedexpansion

:: Prepare the system state by first pulling the appropriate NuGet packages
@call :normalizepath NUGET_DIR "%RECIPE_DIR%\..\nuget"
@call %NUGET_DIR%\update
if errorlevel 1 exit 1

:: pull out freetype package dir
@set REPO=%NUGET_DIR%\repository
pushd %REPO%
@call :findpkg gdal

@set gdal_nuget_version=%gdal:*.=%
:: get the gdal version
for /f "tokens=4" %%a in ('findstr /c:"define GDAL_RELEASE_NAME" "%REPO%\%gdal%\include\gdal\gdal_version.h"') do (
  @set GDAL_VERSION=%%a
)
:: strip quotes & e
@set GDAL_VERSION=%GDAL_VERSION:"=%
@set GDAL_VERSION=%GDAL_VERSION:e=%
popd
if errorlevel 1 exit 1

@set GDAL_DIR=%REPO%\%gdal%
@set GDAL_BIN=%GDAL_DIR%\build\native\x64\Release
@set GDAL_INC=%GDAL_DIR%\include\gdal
if errorlevel 1 exit 1

xcopy /s /y %GDAL_BIN%\*.lib %LIBRARY_LIB%\*
xcopy /s /y %GDAL_BIN%\*.dll %LIBRARY_BIN%\*
xcopy /s /y %GDAL_INC% %LIBRARY_INC%\*
if errorlevel 1 exit 1

%PYTHON% setup.py build_ext -I"%LIBRARY_INC%" -lgdal_e_i -L"%LIBRARY_LIB%" install --single-version-externally-managed --record record.txt
if errorlevel 1 exit 1

@goto :eof

:findpkg
    @for /f "tokens=*" %%a in ('dir /b ^| findstr /R /C:"%1"') do (
        @set %1=%%a
    )
    @exit /b

:normalizepath
    @set "%1=%~dpfn2"
    @exit /b
